网站迁移后在被访问时提示“系统不支持:mysql”

问题描述

网站更换服务器后在被访问时提示以下信息。

系统不支持:mysql

问题原因

由于新主机PHP版本过高导致报错。MySQL扩展自PHP 5.5.0版本起已废弃,并在自PHP 7.0.0版本开始被移除,而迁移到新主机后选择的版本是PHP7.0

解决方案

阿里云提醒您:

  • 如果您对实例或数据有修改、变更等风险操作,务必注意实例的容灾、容错能力,确保数据安全。
  • 如果您对实例(包括但不限于ECS、RDS)等进行配置与数据修改,建议提前创建快照或开启RDS日志备份等功能。
  • 如果您在阿里云平台授权或者提交过登录账号、密码等安全信息,建议您及时修改。

请您切换PHP版本,可以找软件开发者确认该程序正常运行所需要的PHP版本,然后在下载中心下载对应版本的PHP。一般在切换到PHP5.2 之后,网站即可正常运行。

相关文档

适用于

  • 云服务器ECS 
  • 轻量应用服务器